package com.altimetrik.ee.demo.repository;

import com.altimetrik.ee.demo.bean.Stocks;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface StocksRepository extends JpaRepository<Stocks, String> {

  String QUERY = "SELECT * FROM stocks  WHERE stockQuote IN (?1)";
  @Query(value = QUERY, nativeQuery = true)
  List<Stocks> findByStockQuotes(List<String> ids);
}
